summaryrefslogtreecommitdiff
path: root/meta-google/recipes-google/host-power-ctrl/gpio-host-pwr/host_isoff.sh
diff options
context:
space:
mode:
Diffstat (limited to 'meta-google/recipes-google/host-power-ctrl/gpio-host-pwr/host_isoff.sh')
-rwxr-xr-xmeta-google/recipes-google/host-power-ctrl/gpio-host-pwr/host_isoff.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/meta-google/recipes-google/host-power-ctrl/gpio-host-pwr/host_isoff.sh b/meta-google/recipes-google/host-power-ctrl/gpio-host-pwr/host_isoff.sh
index 459eca7e2..4119801b0 100755
--- a/meta-google/recipes-google/host-power-ctrl/gpio-host-pwr/host_isoff.sh
+++ b/meta-google/recipes-google/host-power-ctrl/gpio-host-pwr/host_isoff.sh
@@ -15,7 +15,7 @@
source /usr/share/gpio-host-pwr/lib.sh || exit
-gpio_build_cache 10 "$HOST_GPIO_PGOOD" || return 255
-pgood="$(gpio_get_value "$HOST_GPIO_PGOOD")" || return 255
+gpio_build_cache 10 "$HOST_GPIO_PGOOD" || exit 255
+pgood="$(gpio_get_value "$HOST_GPIO_PGOOD")" || exit 255
echo "HOST_PGOOD=$pgood" >&2
(( pgood == 0 ))